accumulo-notifications mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Russ Weeks (JIRA)" <j...@apache.org>
Subject [jira] [Created] (ACCUMULO-3789) Code compiled against 1.6 lexicoders can't run in 1.7
Date Sat, 09 May 2015 23:42:59 GMT
Russ Weeks created ACCUMULO-3789:
------------------------------------

             Summary: Code compiled against 1.6 lexicoders can't run in 1.7
                 Key: ACCUMULO-3789
                 URL: https://issues.apache.org/jira/browse/ACCUMULO-3789
             Project: Accumulo
          Issue Type: Bug
    Affects Versions: 1.7.0
         Environment: Development environment
            Reporter: Russ Weeks
             Fix For: 1.7.0


Code which was built against the 1.6 Lexicoders will fail with a NoSuchMethod error when run
against the 1.7 jars.

Test case is attached. Sorry it depends on Gradle, the build file is pretty trivial.

===Steps to reproduce===
* Deploy accumulo 1.7.0-SNAPSHOT jars to local maven repository, I did {{mvn -DskipTests -Dfindbugs.skip=true
install}}
* Unzip attached file, run {{gradle clean test}}

===Expected Result===
* All unit tests pass

===Actual Result===
* The unit test "TestLexicoderCompatibility" fails with the error:
{{java.lang.NoSuchMethodError: org.apache.accumulo.core.client.lexicoder.LongLexicoder.decode([B)Ljava/lang/Long;
	at lexicoder.TestLexicoderCompatibility.testLexicoderBackwardsCompatibility(TestLexicoderCompatibility.java:20)
	[snip]
}}
* Switching the {{testRuntime}} dependency to 1.6.1 instead of 1.7.0-SNAPSHOT will cause the
test to pass.



--
This message was sent by Atlassian JIRA
(v6.3.4#6332)

Mime
View raw message